Update task code, schedule settings, and activation status
Authentication: required
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/task/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'task foo {
stack {
var $x1 {
value = $input.score + 1
}
}
schedule {
events = [{starts_on: 2025-07-25 20:00:12+0000, freq: 900}]
}
}
'{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Task Test",
"description": "My tasks description",
"docs": "Documentation",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"datasource": "test",
"active": true,
"branch": "v1",
"tag": [
"example tag"
],
"xanoscript": {
"status": "ok",
"value": "<string>",
"message": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The body is of type string.
"task foo {\n stack {\n var $x1 {\n value = $input.score + 1\n }\n }\n schedule {\n events = [{starts_on: 2025-07-25 20:00:12+0000, freq: 900}]\n }\n}\n"
Success!
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/task/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'task foo {
stack {
var $x1 {
value = $input.score + 1
}
}
schedule {
events = [{starts_on: 2025-07-25 20:00:12+0000, freq: 900}]
}
}
'{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Task Test",
"description": "My tasks description",
"docs": "Documentation",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"datasource": "test",
"active": true,
"branch": "v1",
"tag": [
"example tag"
],
"xanoscript": {
"status": "ok",
"value": "<string>",
"message": "<string>"
}
}